libpoconetssl9_1.3.6p1-5_i386.deb


Advertisement

Description

libpoconetssl9 - C++ Portable Components (POCO) Network library with SSL

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libpoconetssl9
Package version 1.3.6p1
Package release 5
Package architecture i386
Package type deb
Installed size 274 B
Download size 93.88 KB
Official Mirror ftp.br.debian.org
The POCO C++ Libraries are a collection of open source C++ class libraries
that simplify and accelerate the development of network-centric, portable
applications in C++. The libraries integrate perfectly with the C++ Standard
Library and fill many of the functional gaps left open by it.
POCO is built strictly using standard ANSI/ISO C++, including the standard
library. The contributors attempt to find a good balance between using advanced
C++ features and keeping the classes comprehensible and the code clean,
consistent and easy to maintain.
This package provides the POCO Network SSL library.

Alternatives

Package Version Architecture Repository
libpoconetssl9_1.3.6p1-5_amd64.deb 1.3.6p1 amd64 Debian Main
libpoconetssl9 - - -

Requires

Name Value
libc6 >= 2.3.6-6~
libgcc1 >= 1:4.1.1
libpococrypto9 = 1.3.6p1-5
libpocofoundation9 = 1.3.6p1-5
libpoconet9 = 1.3.6p1-5
libpocoutil9 = 1.3.6p1-5
libssl1.0.0 >= 1.0.0
libstdc++6 >= 4.2.1

Download

Type URL
Binary Package libpoconetssl9_1.3.6p1-5_i386.deb
Source Package poco

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpoconetssl9 deb package:
    # sudo apt-get install libpoconetssl9

Files

Path
/usr/lib/libPocoNetSSL.so.9
/usr/share/doc/libpoconetssl9/changelog.Debian.gz
/usr/share/doc/libpoconetssl9/changelog.gz
/usr/share/doc/libpoconetssl9/copyright

Changelog

2014-11-18 - Maxime Chatelle <xakz@rxsoft.eu>
poco (1.3.6p1-5) unstable; urgency=medium
* Adds debian/patches/70_fix_CVE-2014-0350.dpatch (Closes: #746637).
The patch is backported from poco-1.4.7 where the vulnerability
has been fixed.
2012-07-27 - Cristian Greco <cristian@debian.org>
poco (1.3.6p1-4) unstable; urgency=low
* Wheezy cleanup release (3): should fix FTBFS on GNU/kFreeBSD for real.
* debian/patches/60_no_link_dl_rt.dpatch: link against {dl,rt} libraries
only for Poco Foundation, and both on Linux and kFreeBSD.
2012-07-27 - Cristian Greco <cristian@debian.org>
poco (1.3.6p1-3) unstable; urgency=low
* Wheezy cleanup release (2): pull some more fixes from experimental.
* All FTBFS are fixed now. (Closes: #626088, #650059, #680807)
* debian/rules:
- select the right configuration options for GNU/kFreeBSD.
- drop extra --no-fpenvironment option now that arm is gone.
* debian/control: fix and expand short and extended descriptions.
2012-07-26 - Cristian Greco <cristian@debian.org>
poco (1.3.6p1-2) unstable; urgency=low
* Wheezy cleanup release: pull some patches from the poco version in
experimental to fix FTBFS and other important problems.
* debian/patches:
- 20_ftbfs_gcc47.dpatch: fix FTBFS with gcc-4.7.
- 30_fix_odbc_makefile.dpatch: use multiarch tuple when detecting
odbc library path. (Closes: #654238)
- 40_fix_kfreebsd_ftbfs.dpatch: fix FTBFS on GNU/kFreeBSD.
- 50_fix_mipsel_endianness.dpatch: correctly detect mipsel
architecture.
* debian/rules: don't build the testsuite as we don't actually run it.
* debian/source/format: dpkg format is 1.0.
* debian/control:
- add myself as uploader.
- remove Krzysztof Burghardt from uploaders. (Closes: #678877)
2009-12-24 - Patrick Gansterer <paroga@paroga.com>
poco (1.3.6p1-1) unstable; urgency=low
* New Upstream Version
* Removed 20_unbundled.dpatch (merged into upstream)
* Removed 30_sh-support.dpatch (merged into upstream)
2009-12-17 - Patrick Gansterer <paroga@paroga.com>
poco (1.3.6-1) unstable; urgency=low
* New Upstream Version
* Corrected package dependencies (Closes: #545854)
* Removed 20_gcc44-missing-include.dpatch (merged into upstream)
* Now using upstream unbundled implementation (Closes: #560936)
+ using r1294 from SVN poco 1.3.6 branch
+ new patch: 20_unbundled.dpatch
+ removed patch: 30_use-system-zlib.dpatch
+ new build dependencies: libpcre3-dev, libsqlite3-dev
* Added 30_sh-support.dpatch to support sh4 (Closes: #548113)
2009-08-30 - Krzysztof Burghardt <krzysztof@burghardt.pl>
poco (1.3.5-1) unstable; urgency=low
* New upstream release.
* *-dbg packages moved to section debug.
* 30_crypto-testsuit-missing-libs.dpatch removed.
* POCO no longer use statically linked zlib:
+ new patch: 30_use-system-zlib.dpatch
+ new build dependency: zlib1g-dev
* Updated Standards-Version to 3.8.3, no changes needed.
2008-11-15 - Krzysztof Burghardt <krzysztof@burghardt.pl>
poco (1.3.3p1-2) unstable; urgency=low
* Fixed FTBFS with GCC 4.4 due to missing #include (Closes: #505619)
* Renamed 20_gcc43-missing-include.dpatch to 20_gcc44-missing-include.dpatch
* Downgraded dependencies on -dbg packages (Closes: #504342)
2008-10-29 - Krzysztof Burghardt <krzysztof@burghardt.pl>
poco (1.3.3p1-1) unstable; urgency=low
* New upstream release.
* 30_missing_paltforms.dpatch removed (merged into upstream).
* libpoco-dev provides, conflicts, replaces libpoco5-dev.
2008-06-26 - Krzysztof Burghardt <krzysztof@burghardt.pl>
poco (1.3.2+dfsg1-3) unstable; urgency=low
* Add dpatch 30_missing_paltforms to debian/patches/00list (Closes: #487934)

See Also

Package Description
libpocoodbc9_1.3.6p1-5_i386.deb C++ Portable Components (POCO) ODBC library
libpocosqlite9_1.3.6p1-5_i386.deb C++ Portable Components (POCO) SQLite library
libpocoutil9_1.3.6p1-5_i386.deb C++ Portable Components (POCO) Util library
libpocoxml9_1.3.6p1-5_i386.deb C++ Portable Components (POCO) XML library
libpocozip9_1.3.6p1-5_i386.deb C++ Portable Components (POCO) Zip library
libpod-2-docbook-perl_0.03-2_all.deb module for converting Pod data to DocBook SGML
libpod-abstract-perl_0.20-1_all.deb abstract document tree for Perl POD documents
libpod-constants-perl_0.16-2_all.deb module for including constants from POD
libpod-coverage-perl_0.23-1_all.deb checker for comprehensiveness of perl module documentation
libpod-coverage-trustpod-perl_0.100003-1_all.deb module to support hints for Pod::Coverage
libpod-elemental-perl_0.103001-1_all.deb module for manipulating POD elements
libpod-elemental-perlmunger-perl_0.200002-1_all.deb Perl module that rewrites Perl documentation
libpod-eventual-perl_0.094001-1_all.deb module to read a POD as a series of trivial events
libpod-index-perl_0.14-2_all.deb index and search PODs using X<> entries
libpod-latex-perl_0.61-1_all.deb module to convert Pod data to formatted LaTeX
Advertisement
Advertisement